A generic notification create endpoint that can be used for any notification type. If the notification requires other special settings or setup a separate endpoint should be used.
A generic notification create endpoint that can be used for any notification type. If the notification requires other special settings or setup a separate endpoint should be used.
POST
/
notifications/createRequest Body
application/jsonRequiredchannelstring
createdBystring
displayNamestring
idstring
namestring
settingsarray<integer>
templateNamestring
workspaceIDstring
Success
Success
NotificationList returns a paginated list of the workspace's notification channel configurations.
NotificationList returns a paginated list of the workspace's notification channel configurations.
GET
/
notifications/listQuery Parameters
include_runreveal_investigationboolean
Success
RunrevealInvestigationNotificationCreate operation
POST
/
notifications/runreveal-investigation/createRequest Body
application/jsonRequiredchannelstring
createdBystring
displayNamestring
idstring
namestring
settingsarray<integer>
templateNamestring
workspaceIDstring
Success
RunrevealInvestigationNotificationUpdate operation
PUT
/
notifications/runreveal-investigation/updateRequest Body
application/jsonRequiredchannelstring
createdBystring
displayNamestring
idstring
namestring
settingsarray<integer>
templateNamestring
workspaceIDstring
Success
NotificationSend sends a notification with the given data to one or more named channels, returning per-channel errors.
NotificationSend sends a notification with the given data to one or more named channels, returning per-channel errors.
POST
/
notifications/sendRequest Body
application/jsonRequireddataobject
notificationNamesarray<string>
notificationTypestring
templateBodystring
templateNamestring
templateTitlestring
Success
NotificationTest operation
POST
/
notifications/testRequest Body
application/jsonRequiredchannelstring
createdBystring
displayNamestring
idstring
namestring
settingsarray<integer>
templateNamestring
workspaceIDstring
Success
NotificationUpdate updates an existing notification channel, merging stored secrets with any provided in the request.
NotificationUpdate updates an existing notification channel, merging stored secrets with any provided in the request.
PUT
/
notifications/updateRequest Body
application/jsonRequiredchannelstring
createdBystring
displayNamestring
idstring
namestring
settingsarray<integer>
templateNamestring
workspaceIDstring
Success